iconv_strlen
iconv_strrpos
iconv Functions
PHP Manual

# iconv_strpos

(PHP 5)

iconv_strpos — Finds position of first occurrence of a needle within a haystack

### Description

int iconv_strpos ( string `$haystack` , string `$needle` [, int `$offset` [, string `$charset` ]] )

Finds position of first occurrence of a needle within a haystack.

In contrast to strpos(), the return value of iconv_strpos() is the number of characters that appear before the needle, rather than the offset in bytes to the position where the needle has been found. The characters are counted on the basis of the specified character set `charset` .

### Parameters

`haystack`

  The entire string.

`needle`

  The searched substring.

`offset`

  The optional `offset` parameter specifies the position from which the search should be performed.

`charset`

  If `charset` parameter is omitted, `string` are assumed to be encoded in iconv.internal_encoding.

If `haystack` or `needle` is not a string, it is converted to a string and applied as the ordinal value of a character.

### Return Values

Returns the numeric position of the first occurrence of `needle` in `haystack` .

If `needle` is not found, iconv_strpos() will return `FALSE`.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`, such as 0 or "". Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### See Also

- strpos()
- iconv_strrpos()
- mb_strpos()

iconv_strlen
iconv_strrpos
iconv Functions
PHP Manual